Subject: RE: [AAA-WG]: Issue 360: Accounting standalone

From: <[email-masked]>
Date: Wed, 11 Sep 2002 18:38:18 +0300

Hi,

it sounds good proposal to allocate this kind of accounting application Id.
But why would you need two? one that indicate "I support Diameter Base
Accounting and any application using only ACR/ACA" is not enough?

Disk-writing accounting server can just advertise this application id.

Br
Marco

> -----Original Message-----
> From: ext Bernard Aboba [mailto:[email-masked]]
> Sent: 11. September 2002 17:18
> To: Loughney John (NRC/Helsinki)
> Cc: [email-masked]; [email-masked]
> Subject: RE: [AAA-WG]: Issue 360: Accounting standalone
> 
> 
> > Hi Harri,
> >
> > > If the Accounting functionality of the Diameter base protocol
> > > can be used without a corresponding application, which would be
> > > good, what application id should a Diameter accounting client
> > > advertise during the capabilities exchange phase and when sending
> > > Accounting Request command ? Relay application Id ?
> >
> > Should we allocate an application id for base accounting 
> application?
> 
> Makes sense to me. In fact, I might suggest that we allocate two:
> 
>   - One that indicates "I support Diameter Base Accounting"
> 
>   - One that indicates "I support any application using ACR/ACA"
> 
> Diameter peers MUST advertise one of these accounting application IDs.
> 
>

---

From: Bernard Aboba <[email-masked]>
Date: Wed, 11 Sep 2002 07:59:36 -0700 (PDT)

> Accounting and any application using only ACR/ACA" is not enough?

Let's look at three cases.

Suppose Accounting server advertises "any application
using only ACR/ACA". Accounting client advertises their application ID,
which the accounting server might not understand, as well as "any
application using only ACR/ACA". Negotiation succeeds.

Accounting client now sends an ACR command with their application ID,
perhaps some new mandatory AVPs. Accounting server will only look at the
ACR, ignore the application ID (since can handle any application ID with
ACR), and responds with an ACA with that application ID.

Seems to work fine.

Now what if the accounting server doesn't support "any app with ACR/ACA"?

Accounting server advertises no application ID (implying that it does
basic accounting only). Accounting client advertises the new application
ID, plus "any application using only ACR/ACA". Negotiation fails.

The last case is if both client and server only do basic accounting. Both
will advertise no application ID in CER/CEA, and negotiation will succeed.
But then the issue is what application goes in the header, along with
ACR/ACA.